    {% extends 'base.html' %}
    {% load static %}
    {% block content %}
    <!-- Preloader -->
    <div id="preloader">
        <i class="circle-preloader"></i>
        <img src="{% static 'img/core-img/pizza.png' %}" alt="">
    </div>
    {% include 'partials/busca.html'  %}

    {% include 'partials/menu.html' %}

    <!-- ##### Best Receipe Area Start ##### -->
    <section class="best-receipe-area">
        <div class="container">
            <div class="row">
                {% if receitas %}
                {% for receita in receitas %}
                <!-- Single Best Receipe Area -->
                <div class="col-12 col-sm-6 col-lg-4">
                    <div class="single-best-receipe-area mb-30">
                        <div class="receipe-content">
                            {% if receita.foto_receita == '' %}
                                <img src="{% static 'img/bg-img/foto_receita.png' %}" alt="">
                            {% else  %}
                                <img src="{{ receita.foto_receita.url }}" alt="">
                            {% endif %}
                            <a href="{% url 'receita' receita.id %}">
                                <h5>{{ receita.nome_receita }}</h5>
                            </a>
                        </div>
                    </div>
                </div>
                {% endfor %}
                {% else %}
                <h3>Não há receitas</h3>                
                {% endif %}
            </div>
        </div>
    </section>
    <!-- ##### Best Receipe Area End ##### -->

    <!-- ##### Pagination ##### -->
        <section class="top-catagory-area section-padding-20-0">
            <div class="container">
                {% if receitas.has_other_pages %}
                <ul class="pagination">
                    {% if receitas.has_previous %}
                    <li class="page-item">
                        <a href="?page={{ receitas.previous_page_number }}" class="page-link">&laquo;</a>
                    </li>
                    {% else %}
                    <li class="page-item disabled">
                        <a class="page-link">&laquo;</a>
                    </li>
                    {% endif %}
                    {% for pagina in receitas.paginator.page_range %}
                    {% if receitas.number == pagina %}
                    <li class="page-item active">
                        <a class="page-link">{{ pagina }}</a>
                    </li>
                    {% else %}
                    <li class="page-item">
                        <a href="?page={{pagina}}" class="page-link">{{pagina}}</a>
                    </li>
                    {% endif %}
                    {% endfor %}
                    {% if receitas.has_next %}
                    <li class="page-item">
                        <a href="?page={{ receitas.next_page_number }}" class="page-link">&raquo;</a>
                    </li>
                    {% else %}
                    <li class="page-item disabled">
                        <a class="page-link">&raquo;</a>
                    </li>
                    {% endif %}
                </ul>
                {% endif %}
            </div>
        </section>
        <!-- ##### Pagination End ##### -->
        
    {% include 'partials/footer.html' %}
{% endblock %}
